org.keycloak.dom.saml.v1.assertion

## Class SAML11AttributeStatementType

- java.lang.Object
- - org.keycloak.dom.saml.v1.assertion.SAML11StatementAbstractType
  - - org.keycloak.dom.saml.v1.assertion.SAML11SubjectStatementType
    - - org.keycloak.dom.saml.v1.assertion.SAML11AttributeStatementType

- All Implemented Interfaces:
    Serializable

      public class SAML11AttributeStatementType
      extends SAML11SubjectStatementType

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<SAML11AttributeType>` | `attribute`

    - ### Fields inherited from class org.keycloak.dom.saml.v1.assertion.SAML11SubjectStatementType

      `subject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11AttributeStatementType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(SAML11AttributeType aAttribute)`
    `void` | `addAllAttributes(List<SAML11AttributeType> attribList)`
    `List<SAML11AttributeType>` | `get()`
    `boolean` | `remove(SAML11AttributeType anAttrib)`

    - ### Methods inherited from class org.keycloak.dom.saml.v1.assertion.SAML11SubjectStatementType

      `getSubject, setSubject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attribute

          protected List<SAML11AttributeType> attribute

  - ### Constructor Detail

    - #### SAML11AttributeStatementType

          public SAML11AttributeStatementType()

  - ### Method Detail

    - #### add

          public void add(SAML11AttributeType aAttribute)

    - #### addAllAttributes

          public void addAllAttributes(List<SAML11AttributeType> attribList)

    - #### remove

          public boolean remove(SAML11AttributeType anAttrib)

    - #### get

          public List<SAML11AttributeType> get()

Copyright © 2021 JBoss by Red Hat. All rights reserved.